Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045646
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Localization Pack: Spain] SIImajorhave not tried2020-12-23 17:122021-03-08 09:50
ReportervmromanosView Statuspublic 
Assigned Tojuabaez 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned To
Regression introduced in release
Summary

0045646: SII is not using standard OB attachment functionality

DescriptionThe SII generates XML files that are attached to records (like invoices).

The way this feature is developed doesn't follow the Openbravo standards for attachments, and it will only work when the instance is configured for local attachments. However, any instance configured with cloud like attachments (like S3 or Azure), or any other custom method won't work properly.


See:
http://wiki.openbravo.com/wiki/Attachments [^]
http://wiki.openbravo.com/wiki/How_to_Configure_an_Attachment_Method [^]
http://wiki.openbravo.com/wiki/How_to_Work_with_Files#Attachments [^]
Steps To ReproduceSee attachment related methods in SIIUtils:
https://gitlab.com/openbravo/product/pmods/org.openbravo.module.sii/-/blob/master/src/org/openbravo/module/sii/utils/SIIUtils.java#L639 [^]

It works with "attach.path" and manually saving files to the file system instead of using AttachImplementationManager
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126507)
hgbot (developer)
2021-03-04 19:15

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.sii/-/merge_requests/14 [^]
(0126508)
juabaez (developer)
2021-03-04 19:23

Test Plan:

- Create an invoice (purchase or sales)
- Add a line
- Complete the invoice and send to SII
- See in tab "Datos SII" the xml attached successfully

Test plan:
- Install module called Integration With Amazon S3
- Create a row in window Amazon S3 Configuration and set amazon login (key and password)
- Configure this attachment method in window "Attachment Configuration" and select the Amazon configuration created before
- Create an invoice (purchase or sales)
- Add a line
- Complete the invoice and send to SII
- See in tab "Datos SII" the xml attached successfully
- Go to Amazon S3 verify the attachments are correct in the bucket
(0126544)
hgbot (developer)
2021-03-08 09:50

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.sii [^]
Changeset: 76fbb3d01497f546639fe72a48788653f7e64d89
Author: Juan Baez <juabaez@gmail.com>
Date: 2021-03-04T15:11:43-03:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.sii/-/commit/76fbb3d01497f546639fe72a48788653f7e64d89 [^]

Fixed ISSUE-45646 change in attach method for a generic attach method

---
M src/org/openbravo/module/sii/utils/SIIUtils.java
---
(0126545)
hgbot (developer)
2021-03-08 09:50

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.sii [^]
Changeset: dc9ccea91df63ae82e9f6a08f700e3f9a970391f
Author: Juan Baez <juabaez@gmail.com>
Date: 2021-03-04T15:15:02-03:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.sii/-/commit/dc9ccea91df63ae82e9f6a08f700e3f9a970391f [^]

Fixed ISSUE-45646 update module version and update info

---
M src-db/database/sourcedata/AD_MODULE.xml
---
(0126546)
hgbot (developer)
2021-03-08 09:50

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.sii/-/merge_requests/14 [^]

- Issue History
Date Modified Username Field Change
2020-12-23 17:12 vmromanos New Issue
2020-12-23 17:12 vmromanos Assigned To => Jorge Bravo
2020-12-23 17:22 Jorge Bravo Assigned To Jorge Bravo => juabaez
2021-03-02 18:47 juabaez Status new => scheduled
2021-03-04 19:15 hgbot Note Added: 0126507
2021-03-04 19:23 juabaez Note Added: 0126508
2021-03-08 09:50 hgbot Resolution open => fixed
2021-03-08 09:50 hgbot Status scheduled => closed
2021-03-08 09:50 hgbot Note Added: 0126544
2021-03-08 09:50 hgbot Note Added: 0126545
2021-03-08 09:50 hgbot Note Added: 0126546


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker